Package twisted :: Package python :: Module zipstream

[frames | no frames]

## Module twisted.python.zipstream

An extremely asynch approach to unzipping files. This allows you to unzip a little bit of a file at a time, which means it can integrate nicely with a reactor.

Classes
`ChunkingZipFile` | A ZipFile object which, with readfile(), also gives you access to a filelike object for each entry.
`DeflatedZipFileEntry` | File-like object used to read a deflated entry in a ZipFile
`ZipFileEntry` | File-like object used to read an uncompressed entry in a ZipFile

Function Summary
| `countFileChunks(zipinfo, chunksize)`
| ``countZipFileChunks`(filename, chunksize)` Predict the number of chunks that will be extracted from the entire zipfile, given chunksize blocks.
| `countZipFileEntries(filename)`
| ``unzip`(filename, directory, overwrite)` Unzip the file
| ``unzipIter`(filename, directory, overwrite)` Return a generator for the zipfile.
| ``unzipIterChunky`(filename, directory, overwrite, chunksize)` Return a generator for the zipfile.

Variable Summary
`int` | `DIR_BIT` = 16

Function Details

### countZipFileChunks(filename, chunksize)

Predict the number of chunks that will be extracted from the entire zipfile, given chunksize blocks.

### unzip(filename, directory='.', overwrite=0)

Unzip the file

  Parameters:
    `filename` - the name of the zip file
    `directory` - the directory into which the files will be extracted
    `overwrite` - if on, overwrite files when they exist. You can still get an error if you try to create a directory over a file with the same name or vice-versa.

### unzipIter(filename, directory='.', overwrite=0)

Return a generator for the zipfile. This implementation will yield after every file.

The value it yields is the number of files left to unzip.

### unzipIterChunky(filename, directory='.', overwrite=0, chunksize=4096)

Return a generator for the zipfile. This implementation will yield after every chunksize uncompressed bytes, or at the end of a file, whichever comes first.

The value it yields is the number of chunks left to unzip.

Variable Details

### DIR_BIT

  Type:
    `int`
  Value:

        16

Generated by Epydoc 2.0 on Sat May 15 20:08:05 2004 | http://epydoc.sf.net